import { PhotosData } from './types';

export function groupByDate(items: PhotosData[]) {
  const groupedByDate = items.reduce((acc: { [key: string]: PhotosData[] }, item) => {
    const { date } = item;
    if (!acc[date]) {
      acc[date] = [];
    }
    acc[date].push(item);
    return acc;
  }, {});

  return Object.entries(groupedByDate)
    .map(([date, photos]) => ({
      date: date,
      photos: photos as PhotosData[]
    }))
    .sort((a, b) => new Date(b.date).getTime() - new Date(a.date).getTime());
}
